<?php

namespace Drupal\tome_aws\Event;

use Drupal\Component\EventDispatcher\Event;

/**
 * Defines events for the Tome AWS S3.
 */
final class TomeAwsEvents extends Event {

  /**
   * Name of the event fired when starting a new batch.
   *
   * Receives a Drupal\tome_aws\Event\TomeAwsEvents instance.
   */
  const DEPLOY_START = 'tome_aws.start';

  /**
   * Name of the event fired when deploy finished.
   */
  const DEPLOY_FINISHED = 'tome_aws.finished';

  public function __construct() {

  }

}
